Subject: Re: bug#65470: 29.1.50; js-ts-mode: regex pattern can cause incorrect parenthesis matching

From: Augustin Chéneau (BTuin) <[email-masked]>
Date: Fri, 1 Sep 2023 17:45:17 +0200

Le 31/08/2023 à 13:15, Dmitry Gutov a écrit :
> On 31/08/2023 12:41, Eli Zaretskii wrote:
>>> Date: Sun, 27 Aug 2023 00:45:19 +0300
>>> Cc: Theodor Thornhill<[email-masked]>, Eli Zaretskii<[email-masked]>,
>>>   Jostein Kjønigsen<[email-masked]>,[email-masked],
>>>   [email-masked]
>>> From: Dmitry Gutov<[email-masked]>
>>>
>>> On 27/08/2023 00:13, Jostein Kjønigsen wrote:
>>>> I don’t really work with JSX and don’t think have a “idiomatic” code 
>>>> base to try it on where I would notice brokenness.
>>>>
>>>> I think this would be better handled by people more experienced with 
>>>> both JSX and our JSX code base than I am.
>>> Just checking that viewing some JSX code in .tsx files doesn't show
>>> errors in Messages might be good enough.
>>>
>>> I tried that with javascript, didn't notice any problems so far.
>> I'm a bit confused by this discussion.  Should I install the patch on
>> the emacs-29 branch now, or are you still discussing whether it's
>> correct?
> 
> I think we were discussing the typescript modes here.
> 
> Personally I was waiting for some additional confirmation that my v2 for 
> js-ts-mode is correct, but I guess we have a silent approval, so we can 
> install it.

Whoops, sorry.  I confirm this fixed my issue with js-ts-mode.
Thank you for your patch!